<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>User.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.model</a> &gt; <span class="el_source">User.java</span></div><h1>User.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;
import java.io.Serializable;
import java.util.UUID;
@Entity
<span class="nc" id="L10">@Data</span>
@Table(name=&quot;users&quot;, uniqueConstraints = {@UniqueConstraint(columnNames = {&quot;user_name&quot;})})
<span class="nc bnc" id="L12" title="All 14 branches missed.">@EqualsAndHashCode(of=&quot;userId&quot;)</span>
public class User implements Serializable {
    private static final long serialVersionUID = 30428952001905983L;

<span class="nc" id="L16">    @Id</span>
    @Column(name=&quot;user_id&quot;)
<span class="nc" id="L18">    private UUID userId = java.util.UUID.randomUUID();</span>

    @Column(name=&quot;full_name&quot;)
<span class="nc" id="L21">    private String fullName;</span>

    @Column(name = &quot;user_name&quot;)
<span class="nc" id="L24">    private String username;</span>

    @Column(name = &quot;enabled&quot;)
<span class="nc" id="L27">    private boolean enabled;</span>

<span class="nc" id="L29">    private String password;</span>

<span class="nc" id="L31">    private boolean accountExpired;</span>

<span class="nc" id="L33">    private boolean accountLocked;</span>

<span class="nc" id="L35">    private boolean credentialsExpired;</span>

    @Override
    public String toString() {
<span class="nc" id="L39">        return &quot;User [userId=&quot; + userId +  &quot;, fullName=&quot; + fullName + &quot;, username=&quot; + username</span>
                + &quot;, enabled=&quot; + enabled
                + &quot;, accountExpired=&quot; + accountExpired + &quot;, accountLocked=&quot; + accountLocked + &quot;, credentialsExpired=&quot;
                + credentialsExpired + &quot;]&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>